Bug 108429 - Inner SVG elements can disable child repaints
Summary: Inner SVG elements can disable child repaints
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philip Rogers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 22:30 PST by Philip Rogers
Modified: 2013-03-20 17:09 PDT (History)
12 users (show)

See Also:


Attachments
Prevent skipped repaints for children of inner SVG elements (13.50 KB, patch)
2013-01-30 23:38 PST, Philip Rogers
eric: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Update for landing (13.66 KB, patch)
2013-02-01 12:30 PST, Philip Rogers
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Rogers 2013-01-30 22:30:25 PST
We* introduced a nasty painting regression with the following:
r108699 contained a bug where "m_didTransformToRoot" is never unset for viewport containers such as inner <svg> elements.
r133786 used "m_didTransformToRoot" to skip child repaints.

As a result, inner SVG elements can prevent repaints for children. Patch forthcoming.


* where "we" is "me" :(
Downstream bug: https://code.google.com/p/chromium/issues/detail?id=172680
Comment 1 Philip Rogers 2013-01-30 23:38:37 PST
Created attachment 185686 [details]
Prevent skipped repaints for children of inner SVG elements
Comment 2 Eric Seidel (no email) 2013-01-30 23:48:40 PST
Comment on attachment 185686 [details]
Prevent skipped repaints for children of inner SVG elements

LGTM.
Comment 3 WebKit Review Bot 2013-01-31 00:22:15 PST
Comment on attachment 185686 [details]
Prevent skipped repaints for children of inner SVG elements

Attachment 185686 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16266045

New failing tests:
svg/repaint/svgsvgelement-repaint-children.html
Comment 4 Build Bot 2013-02-01 06:21:16 PST
Comment on attachment 185686 [details]
Prevent skipped repaints for children of inner SVG elements

Attachment 185686 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16308024
Comment 5 Philip Rogers 2013-02-01 12:30:51 PST
Created attachment 186104 [details]
Update for landing
Comment 6 WebKit Review Bot 2013-02-01 14:40:24 PST
Comment on attachment 186104 [details]
Update for landing

Clearing flags on attachment: 186104

Committed r141645: <http://trac.webkit.org/changeset/141645>
Comment 7 WebKit Review Bot 2013-02-01 14:40:29 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Ryosuke Niwa 2013-03-20 17:09:40 PDT
Mac rebaseline done in http://trac.webkit.org/changeset/146415.